aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeonardo Martins <leonardo@venidera.com>2012-04-24 14:42:23 -0300
committerLeonardo Martins <leonardo@venidera.com>2012-04-24 14:42:23 -0300
commita543cf0d8dc383be15010086c30e70ad04afa6af (patch)
treeee8e4718d03149d6bf19a2769d21715bad4b2e7b /dev-db/neo4j-community/files/neo4j.init
parentRenamed dev-db/neo4j-community to dev-db/neo4j (diff)
downloadvenidera-a543cf0d8dc383be15010086c30e70ad04afa6af.tar.gz
venidera-a543cf0d8dc383be15010086c30e70ad04afa6af.tar.bz2
venidera-a543cf0d8dc383be15010086c30e70ad04afa6af.zip
Renamed package dev-db/neo4j back to dev-db/neo4j-community for the sake of simplicity
Diffstat (limited to 'dev-db/neo4j-community/files/neo4j.init')
-rw-r--r--dev-db/neo4j-community/files/neo4j.init34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-db/neo4j-community/files/neo4j.init b/dev-db/neo4j-community/files/neo4j.init
new file mode 100644
index 0000000..846a001
--- /dev/null
+++ b/dev-db/neo4j-community/files/neo4j.init
@@ -0,0 +1,34 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+extra_commands="info"
+
+NEO4J="/opt/bin/neo4j"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting neo4j"
+ start-stop-daemon --start --quiet --exec ${NEO4J} start
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping neo4j"
+ ${NEO4J} stop >/dev/null 2>&1
+ eend $?
+}
+
+restart() {
+ ebegin "Restarting neo4j"
+ ${NEO4J} restart >/dev/null 2>&1
+ eend $?
+}
+
+info() {
+ ${NEO4J} info
+}